ofbiz-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ashish Vijaywargiya <ashish.vijaywarg...@hotwaxmedia.com>
Subject Re: Eclipse IDE Problem with Ubuntu LTS 8.04 while Building and Refreshing OFBiz trunk
Date Sat, 04 Oct 2008 10:45:52 GMT
Thanks Jacques & Raj for your comments.
It looks like that there was some Heap Memory problem in my eclipse.

I have made entry for the Heap memory (-Xms512M -Xmx1024M) in my 
Java/Jre Section.
Will let you know how it works in next few days.

I haven't seen this problem in my Old installation because in my Old 
setup I was using  CentOs 5.2 with Java Heap Memory settings done in that.
But before 3 or 4 days I have switched to Ubuntu 8.04 LTS and those 
settings were missing in it.

--
Regards
Ashish Vijaywargiya
HotWax Media Pvt. Ltd.
Indore (M.P), India

http://www.hotwaxmedia.com
http://en.wikipedia.org/wiki/Indore

Office :- +917314093684
Direct :- +919893479711



Raj Saini wrote:
> Hi Ashish,
>
> I have been using Ubuntu + Eclipse since the Ubuntu 6.X days. 
> Currently, I have Eclipse 3.4 on Ubuntu 8.04 and did not experience 
> any problem so far. There was a problem due to the Beta version of 
> Firefox, how it is resolved in latest version of Firefox. (Firefox is 
> embedded browser of Eclipse).
>
> As Jacques suggest, look at the logs in the .metadata folder. Also 
> start with just base Eclipse and then incrementally add the plug-in so 
> that you can find out the culprit.
>
> Thanks,
>
> Raj
>
> Jacques Le Roux wrote:
>> Hi Ashish,
>>
>> Yes I'm using Eclipse 3.4 since its beginning (August  2007, was 
>> 3.4M1 then). Actually I use it mostly on Windows XP but on Ubuntu 
>> 8.04 LTS too.
>> My experience is that problems almost always come from plugins and 
>> they should not be related to the OS.
>> When you experience such problems have a look into 
>> workspace\.metadata\log. Then you should discover the culprit. Though 
>> sometimes it may take some time (then Google may help)
>> Then uninstall it and wait for a newer version of this plugin.
>>
>> I noticed that last version of Groovy plugin is not very stable and 
>> needed too much CPU ressources. I uninstalled it yesterday... 
>> Actually I don't need it much, but I hope to get a better version one 
>> day...
>>
>> I have a lot of plugins installed and so far it's ok. The 3.4 version 
>> is really much more stable and complete and the new updater (P2) is 
>> much more robust and reliable (though there are still some problems, 
>> I noticed with PHP plugins for instance, anyway I merely use them ;o).
>>
>> The must IMO is the replace (Ctrl+H) function. Used with regex it has 
>> wonderful power !
>>
>> HTH
>>
>> Jacques
>>
>> From: "Ashish Vijaywargiya" <ashish.vijaywargiya@hotwaxmedia.com>
>>> Hello Jacques,
>>>
>>> I noticed that you are using the Eclipse on Ubuntu since very long.
>>> I have installed Eclipse Ganymede on my laptop with Ubuntu LTS 8.04.
>>>
>>> But in case of Build and Refresh most of the time it gets hanged out.
>>> Can you please share your experience with Eclipse + Ubuntu ?
>>>
>>> If you are using some other version of Eclipse IDE then please let 
>>> me know.
>>> Thanks.
>>>
>>> -- 
>>> Regards
>>> Ashish Vijaywargiya
>>> HotWax Media Pvt. Ltd.
>>> Indore (M.P), India
>>>
>>> http://www.hotwaxmedia.com
>>> http://en.wikipedia.org/wiki/Indore
>>>
>>> Office :- +917314093684
>>> Direct :- +919893479711
>>>
>>
>>
>

Mime
View raw message